## cl-xlunit 0.6.3

=== Makefile ===
all:


.PHONY: clean
clean:
	@rm -rf .bin 
	@rm -f *.ufsl *.fsl *.fas *.x86f *.sparcf *.fasl* *.lib
	@rm -f *~ *.bak *.orig *.err \#*\# .#*

=== debian/changelog ===
cl-xlunit (0.6.3-3) unstable; urgency=medium

  * QA upload.
  * Move package to QA team
    Closes: #1108732
  * Migrate packaging to Salsa Debian team
  * Source format 3.0 (quilt)
    Closes: #1073021
  * Fix Homepage
  * Upstream repository vanished thus providing fake watch file
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * d/rules: short dh
  * d/copyright: DEP5

 -- Andreas Tille <tille@debian.org>  Sun, 03 Aug 2025 20:29:35 +0200

cl-xlunit (0.6.3-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep} (Closes: #998971).

 -- Marcos Talau <talau@debian.org>  Tue, 01 Nov 2022 23:51:27 -0300

cl-xlunit (0.6.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change rebuild to remove dependency on common-lisp-controller.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 18 Sep 2019 12:24:28 +0200

cl-xlunit (0.6.3-2) unstable; urgency=low

  * Build with debhelper extension dh-lisp
  * control: Add Vcs-Browser field. Fix Depends field.

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 03 Aug 2009 20:32:20 -0600

cl-xlunit (0.6.3-1) unstable; urgency=low

  * New upstream
  * debian/watch: New file
  * debian/control: Require debhelper 7. Change to new lisp section.
  Add Vcs-Git and Homepage fields.
  * debian/rules: Update for DH7, architecture-independent build
  * debian/{prerm,postrm}: Remove path from binary function

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 01 Aug 2009 20:13:35 -0600

cl-xlunit (0.6.2-2) unstable; urgency=low

  * debian/control: Use build-depends, update standards-version

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 09 Sep 2007 19:39:08 -0600

cl-xlunit (0.6.2-1) unstable; urgency=low

  * Remove textui invocation on load of tests.lisp

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun,  7 Mar 2004 18:41:39 -0700

cl-xlunit (0.6.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 14 Aug 2003 17:25:21 -0600

cl-xlunit (0.6.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 10 Aug 2003 03:32:47 -0600

cl-xlunit (0.5.0-1) unstable; urgency=low

  * New usptream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon,  4 Aug 2003 13:39:48 -0600

cl-xlunit (0.2.0-1) unstable; urgency=low

  * New version

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon,  4 Aug 2003 05:35:35 -0600

cl-xlunit (0.1.0-1) unstable; urgency=low

  * Initial upload

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon,  4 Aug 2003 03:40:37 -0600

=== debian/control ===
Source: cl-xlunit
Section: lisp
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends-Indep: dh-lisp
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/cl-xlunit
Vcs-Git: https://salsa.debian.org/debian/cl-xlunit.git
Homepage: https://quickdocs.org/xlunit

Package: cl-xlunit
Architecture: all
Depends: ${misc:Depends}
Description: Common Lisp eXtreme Lisp Unit Testing Package
 XLUnit provides a unit testing package for Common Lisp.
 It is based on the XPTest package by OnShore development, but is
 rewritten to be closer in usage to the JUnit package. Also, it is
 designed to be used with significantly less overhead on the
 part of the test author compared to XPTest.

=== debian/watch ===
version=4
opts=dversionmangle=s/.*/0.No-Release/ \
 https://people.debian.org/~eriberto/ FakeWatchNoUpstreamReleaseForThisPackage-(\d\S+)\.gz
